Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.chart.app
Class ChartDisplay

    java.lang.Object
      nextapp.echo2.app.Component
          nextapp.echo2.chart.app.ChartDisplay

All Implemented Interfaces:
  java.io.Serializable, RenderIdSupport

    public class ChartDisplay

extends Component

A component which displays a `JFreeChart`.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CHART_CHANGED_PROPERTY`
`static java.lang.String` | `CHART_CONTENT_CHANGED_PROPERTY`
`static java.lang.String` | `PROPERTY_HEIGHT`
`static java.lang.String` | `PROPERTY_WIDTH`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Constructor Summary
`ChartDisplay()` Creates a new empty `ChartDisplay` that is initially not displaying a `JFreeChart`.
`ChartDisplay(JFreeChart chart)` Creates a new `ChartDisplay` component that is initially displaying a specific `JFreeChart`.

Method Summary
`JFreeChart` | `getChart()` Returns the displayed `JFreeChart`.
`Extent` | `getHeight()` Returns the height of the chart.
`Extent` | `getWidth()` Returns the width of the chart.
`void` | `setChart(JFreeChart newValue)` Sets the displayed `JFreeChart`.
`void` | `setHeight(Extent newValue)` Sets the height of the chart.
`void` | `setWidth(Extent newValue)` Sets the width of the chart.

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidChild, isValidParent, isVisible, processInput, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHART_CHANGED_PROPERTY

    public static final java.lang.String CHART_CHANGED_PROPERTY

See Also:
  Constant Field Values

### CHART_CONTENT_CHANGED_PROPERTY

    public static final java.lang.String CHART_CONTENT_CHANGED_PROPERTY

See Also:
  Constant Field Values

### PROPERTY_HEIGHT

    public static final java.lang.String PROPERTY_HEIGHT

See Also:
  Constant Field Values

### PROPERTY_WIDTH

    public static final java.lang.String PROPERTY_WIDTH

See Also:
  Constant Field Values

Constructor Detail

### ChartDisplay

    public ChartDisplay()

  Creates a new empty `ChartDisplay` that is initially not displaying a `JFreeChart`.

### ChartDisplay

    public ChartDisplay(JFreeChart chart)

  Creates a new `ChartDisplay` component that is initially displaying a specific `JFreeChart`.

Method Detail

### getChart

    public JFreeChart getChart()

  Returns the displayed `JFreeChart`.

  Returns:
    the displayed `JFreeChart`

### getHeight

    public Extent getHeight()

  Returns the height of the chart. Units must be in pixels values.

  Returns:
    the height

### getWidth

    public Extent getWidth()

  Returns the width of the chart. Units must be in pixels values.

  Returns:
    the width

### setChart

    public void setChart(JFreeChart newValue)

  Sets the displayed `JFreeChart`. param newValue the new `JFreeChart` to display

### setHeight

    public void setHeight(Extent newValue)

  Sets the height of the chart. Units must be in pixels values.

  Parameters:
    `newValue` - the new height

### setWidth

    public void setWidth(Extent newValue)

  Sets the width of the chart. Units must be in pixels values.

  Parameters:
    `newValue` - the new width

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD